Package org.eclipse.birt.chart.model.impl

# Class ChartModelHelper

java.lang.Object
org.eclipse.birt.chart.model.impl.ChartModelHelper

All Implemented Interfaces:
  `IChartModelHelper`

public class ChartModelHelper extends Object implements IChartModelHelper
Chart Model helper is default implementation of IChartModelHelper.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.birt.chart.util.ChartExpressionUtil.ExpressionCodec`
`createExpressionCodec()`
Create an instance of ExpressionCodec.
`List<String>`
`getBuiltInExtendedProperties()`
Gets built-in extended properties which can't be removed in UI.
`static void`
`initInstance(IChartModelHelper newInstance)`
`static IChartModelHelper`
`instance()`
`void`
`updateExtendedProperties(org.eclipse.emf.common.util.EList<ExtendedProperty> properties)`
Updates extended properties during model and UI initialization

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### initInstance

public static void initInstance(IChartModelHelper newInstance)

### instance

public static IChartModelHelper instance()

### updateExtendedProperties

public void updateExtendedProperties(org.eclipse.emf.common.util.EList<ExtendedProperty> properties)
Description copied from interface: `IChartModelHelper`
Updates extended properties during model and UI initialization

Specified by:
  `updateExtendedProperties` in interface `IChartModelHelper`
Parameters:
  `properties` -

### getBuiltInExtendedProperties

public List<String> getBuiltInExtendedProperties()
Description copied from interface: `IChartModelHelper`
Gets built-in extended properties which can't be removed in UI.

Specified by:
  `getBuiltInExtendedProperties` in interface `IChartModelHelper`
Returns:
  extended properties which can't be removed in UI

### createExpressionCodec

public org.eclipse.birt.chart.util.ChartExpressionUtil.ExpressionCodec createExpressionCodec()
Description copied from interface: `IChartModelHelper`
Create an instance of ExpressionCodec.

Specified by:
  `createExpressionCodec` in interface `IChartModelHelper`
Returns:
  the ExpressionCodec